<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__dle__config__param__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_dle_config_param_t</compoundname>
    <includes local="no">cy_ble_stack.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__dle__config__param__t_1a4e54da6f86403c025bf637fa28289113" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_dle_config_param_t::dleMaxTxCapability</definition>
        <argsstring />
        <name>dleMaxTxCapability</name>
        <briefdescription>
<para>Tx buffer size configuration for the BLE Stack per the LL Connection. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" bodystart="1398" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" line="1398" />
      </memberdef>
      <memberdef id="structcy__stc__ble__dle__config__param__t_1a0225733c2556883a81e2a427fd25f765" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_dle_config_param_t::dleMaxRxCapability</definition>
        <argsstring />
        <name>dleMaxRxCapability</name>
        <briefdescription>
<para>Rx buffer size configuration for the BLE Stack per the LL Connection. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" bodystart="1404" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" line="1404" />
      </memberdef>
      <memberdef id="structcy__stc__ble__dle__config__param__t_1a727778287597e77907196f7db61ecda8" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_dle_config_param_t::dleNumTxBuffer</definition>
        <argsstring />
        <name>dleNumTxBuffer</name>
        <briefdescription>
<para>Total number of Tx buffer configuration per LL Connection for the BLE Stack. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" bodystart="1410" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" line="1410" />
      </memberdef>
      <memberdef id="structcy__stc__ble__dle__config__param__t_1a67935f50c9a8214896e5e0dd5eee7065" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_dle_config_param_t::dleNumRxBuffer</definition>
        <argsstring />
        <name>dleNumRxBuffer</name>
        <briefdescription>
<para>Total number of Rx buffer configuration per LL Connection for BLE Stack. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" bodystart="1416" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" line="1416" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Configuration structure for Tx and Rx ACL Data Buffers required by the BLE Stack. </para>    </briefdescription>
    <detaileddescription>
<para>All the configurations specified are valid per connection and all the supported LL connections will have same capability. </para>    </detaileddescription>
    <location bodyend="1418" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" bodystart="1392" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" line="1393" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__dle__config__param__t_1a0225733c2556883a81e2a427fd25f765" virt="non-virtual"><scope>cy_stc_ble_dle_config_param_t</scope><name>dleMaxRxCapability</name></member>
      <member prot="public" refid="structcy__stc__ble__dle__config__param__t_1a4e54da6f86403c025bf637fa28289113" virt="non-virtual"><scope>cy_stc_ble_dle_config_param_t</scope><name>dleMaxTxCapability</name></member>
      <member prot="public" refid="structcy__stc__ble__dle__config__param__t_1a67935f50c9a8214896e5e0dd5eee7065" virt="non-virtual"><scope>cy_stc_ble_dle_config_param_t</scope><name>dleNumRxBuffer</name></member>
      <member prot="public" refid="structcy__stc__ble__dle__config__param__t_1a727778287597e77907196f7db61ecda8" virt="non-virtual"><scope>cy_stc_ble_dle_config_param_t</scope><name>dleNumTxBuffer</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>